image: docker:stable

variables:
  GIT_SUBMODULE_STRATEGY: normal
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_DRIVER: overlay2

stages:
  - sony-pack-deploy

sony-pack-deploy:
  stage: sony-pack-deploy
  image: "registry.gitlab.com/modmyclassic/docker-autodevops-buildenvs/mmc-crosscompiler-docker-image:latest_internal"
  script:
    - cd /
    - git clone https://gitlab.com/modmyclassic/ports/zdoom
    - cd /zdoom
    - apt-get update
    - apt-get install -y cmake libfluidsynth-dev:armhf libgme-dev:armhf libopenal-dev:armhf libmpg123-dev:armhf libsndfile1-dev:armhf libwildmidi-dev:armhf
    - cp zdoom_armhf_inc.zip /usr/arm-linux-gnueabihf/psc_SDK/
    - cd /usr/arm-linux-gnueabihf/psc_SDK/
    - unzip zdoom_armhf_inc.zip 
    - cd /zdoom
    - touch /usr/bin/arm-linux-gnueabihf-g++
    - . classic_set_env_psc_6
    - mkdir -p build
    - cd build
    - wget -nc http://zdoom.org/files/fmod/fmodapi44464linux.tar.gz && tar -xzf fmodapi44464linux.tar.gz
    - pwd
    - cmake -DARMv7_COMPILE=YES -DFLUIDSYNTH_INCLUDE_DIR=/usr/include/fluidsynth ../
    - sed -i 's/-j -f/-j 2 -f/g' /usr/bin/classic_make_psc
    - cat /usr/bin/classic_make_psc
    - pwd
    - classic_make_psc Makefile
    - arm-linux-gnueabihf-strip zdoom
    - cd ../classic && make -f Makefile.pack_psc_eris
    - echo -e "cd /var/www/html/project_eris/mods/\nput *.mod" | sftp -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -i ~/.keys/release_private_key.pem docker@classicmodscloud.com
